#!/bin/bash

export PRODUCT=$1

if [ -z "$PRODUCT" ]
then
	echo "The product (usually 01, 04, or 05) was not defined. Exiting now."
	exit -1
fi

export EAST="http://www.opennoaaport.net:8015/rst/sat/gini/tig/tige"$PRODUCT"/latest"

export WEST="http://www.opennoaaport.net:8015/rst/sat/gini/tig/tigw"$PRODUCT"/latest"

cd input
rm -rf "tig$PRODUCT"
mkdir "tig$PRODUCT"
cd "tig$PRODUCT"
curl -o "tige"$PRODUCT".gini" "$EAST"
curl -o "tigw"$PRODUCT".gini" "$WEST"
cd ../..

cd output
rm -rf "tig$PRODUCT"
mkdir "tig$PRODUCT"
../wct/wct-export "../input/tig$PRODUCT" "tig$PRODUCT" tif ../scripts/goes.xml
cd ..

cd composites
../bin/shp2img -m "../scripts/MapService$PRODUCT.map" -o "../composites/tig$PRODUCT.png"
cd ..
